--To be used with sqlcmd
--Example:
--sqlcmd -E -S(local)\OBJECTWORLD -v backupfolder = "C:\backup\test\" -i BackupNetVantaDatabase.sql
--C:\backup\test

USE master;
GO

CREATE TABLE #DatabaseInfo (
ID     int identity (1,1),
DBName varchar(30)
)

INSERT INTO #DatabaseInfo (DBName)
SELECT name
FROM   master..sysdatabases
WHERE  sid != 0x01

Select *
From   #DatabaseInfo

Declare @DBName varchar(30),
        @Counter int,
        @UpperLimit int,
        @BackupPath varchar(100)

SET @Counter = 0
SELECT @UpperLimit = COUNT(ID) FROM #DatabaseInfo


while @counter < @UpperLimit
begin
  set @counter = @counter + 1
  SELECT @DBName=DBName From #DatabaseInfo WHERE ID = @Counter
  SET @BackupPath = '$(backupfolder)' + @DBName + '.bak'
  print 'The counter is ' + cast(@counter as char)
  print 'The DBName is  ' + cast(@DBName as char)
  
  BACKUP DATABASE @DBName TO DISK = @BackupPath
  WITH CHECKSUM, INIT;
  
end